version: "3"

services:

  app:
    build:
      context: .
    ports:
      - "8000:8000"
    volumes:
      - ./app:/app
    command: >
      sh -c ". /venv/bin/activate &&
             python manage.py wait_for_db &&
             python manage.py migrate &&
             python manage.py runserver 0.0.0.0:8000"
    environment:
      - DB_HOST=db
      - DB_NAME=app
      - DB_USER=postgres
      - DB_PASS=supersecretpassword
      - DJANGO_DEBUG=1
      - DJANGO_SECRET_KEY=changeme
      - DJANGO_ALLOWED_HOSTS=127.0.0.1,localhost
      - S3_STORAGE_BACKEND=0
    depends_on:
      - db

  db:
    image: postgres:10-alpine
    environment:
      - POSTGRES_DB=app
      - POSTGRES_USER=postgres
      - POSTGRES_PASSWORD=supersecretpassword
